Subject: Re: jsonapi: scary new warnings with LTO enabled

From: Daniel Gustafsson <[email-masked]>
Date: Tue, 22 Apr 2025 12:10:29 +0200

> On 21 Apr 2025, at 20:58, Jacob Champion <[email-masked]> wrote:

> Personally, I'm fine with can't-fail APIs, as long as they're
> documented as such. (I think the deferred error API was probably
> chosen so that src/common JSON clients could be written without a lot
> of pain?)

My preference is that no operation can silently work on a failed object, but
it's not a hill (even more so given where we are in the cycle).  The attached
v3 allocates via the JSON api, no specific error handling should be required as
it's already handled today.

--
Daniel Gustafsson

---

From: Jacob Champion <[email-masked]>
Date: Tue, 22 Apr 2025 17:01:44 -0700

On Tue, Apr 22, 2025 at 3:10 AM Daniel Gustafsson <[email-masked]> wrote:
> it's not a hill (even more so given where we are in the cycle).

Hm, okay. Something to talk about with Andrew and Peter, maybe.

> The attached

pgindent shows one whitespace change on my machine (comment
indentation), but other than that, LGTM! Fuzzers are happy too.

Thanks,
--Jacob

---

From: Daniel Gustafsson <[email-masked]>
Date: Wed, 23 Apr 2025 11:35:15 +0200

> On 23 Apr 2025, at 02:01, Jacob Champion <[email-masked]> wrote:

> indentation), but other than that, LGTM! Fuzzers are happy too.

Thanks for confirming, I've pushed this now.

--
Daniel Gustafsson